Skip to main content
GET
/
cash-management
/
programs
/
{program_id}
/
rates
Get yield rates for a program
curl --request GET \
  --url https://api.bluumfinance.com/v1/cash-management/programs/{program_id}/rates \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "list",
  "url": "<string>",
  "has_more": true,
  "data": [
    {
      "currency": "USD",
      "variant": "conventional",
      "gross_yield": "4.45",
      "net_yield": "3.95",
      "gross_yield_bps": 445,
      "net_yield_bps": 395,
      "tenant_take_bps": 50,
      "yield_type": "variable",
      "effective_at": "2023-11-07T05:31:56Z",
      "as_of": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

program_id
string
required
Example:

"cmp_01j9x8m2k7qpzwv3t5r6y8n0ab"

Response

200 - application/json

A list of rates

object
string
Example:

"list"

url
string
has_more
boolean
data
object[]